%computing scores for one task
function [ss0 ss1 ss2]=Scores(title,parameter)
        
        %weight for MRR
        weight=(1)./(1:parameter);
        
        %Reading AMT raw judgements
        sC0=str2double(title(:,1));
        sC1=str2double(title(:,2));
        sC2=str2double(title(:,3));
        
        % normalizing AMT socres
        s0=sC0./(sC0+sC1+sC2);
        s1=sC1./(sC0+sC1+sC2);
        s2=sC2./(sC0+sC1+sC2);
        
        %computing workers uncertainty
        h0=(s0(1:parameter)).*(log10(s0(1:parameter))/log10(3));
        h1=(s1(1:parameter)).*(log10(s1(1:parameter))/log10(3));
        h2=(s2(1:parameter)).*(log10(s2(1:parameter))/log10(3));
        h0(isnan(h0))=0;
        h1(isnan(h1))=0;
        h2(isnan(h2))=0;
        w=1+(h0+h1+h2);
        %applying MRR and workers uncertainty on the normalized scores
        ss0=(weight.*abs(w'))*s0(1:parameter)/sum(abs(w));
        ss1=(weight.*abs(w'))*s1(1:parameter)/sum(abs(w));
        ss2=(weight.*abs(w'))*s2(1:parameter)/sum(abs(w));
end